#include "cMenuSelect.hpp"

/*** SDL Header Files ***/
#include "SDL.h"

/*** Custom Header Files ***/
#include "../cMainMenu.hpp"

using Input::cMenuSelect;

cMenuSelect::cMenuSelect( SDL_Keycode key, MainMenu::cMainMenu** menu )
: cKey(key), mpp_menu(menu)
{}

/*cMenuSelect::cMenuSelect( const cMenuSelect& copy )
{}*/

cMenuSelect::~cMenuSelect()
{}

///Funtions
void cMenuSelect::KeyPress()
{
}

void cMenuSelect::KeyUP()
{
}

void cMenuSelect::KeyDown()
{
	if (mpp_menu != nullptr && *mpp_menu != nullptr)
		(*mpp_menu)->OptionSelect();
}